<!doctype html>
<html lang="en">
<head>
<title>105-cloud-bof</title>
<meta name="generator" content="Etherpad">
<meta name="author" content="Etherpad">
<meta name="changedby" content="Etherpad">
<meta charset="utf-8">
<style>
ol {
  counter-reset: item;
}

ol > li {
  counter-increment: item;
}

ol ol > li {
  display: block;
}

ol > li {
  display: block;
}

ol > li:before {
  content: counters(item, ".") ". ";
}

ol ol > li:before {
  content: counters(item, ".") ". ";
  margin-left: -20px;
}

ul.indent {
  list-style-type: none;
}


</style>
</head>
<body>
<span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">Debian cloud image team BoF</span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"></span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">Question 1 :</span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"></span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">Could we think of a few scenarios for which it seems worthwhile to somehow interlink the efforts in Debian Blends with public clouds? To mind come:</span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">    * images dedicated to complete particular (sets of) workflows</span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">    * orchestration of public data sets - e.g. AWS already accomodates quite a few of these for bioinformatics</span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0"></span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">A motivation for debian-cloud could be to attract eyeballs and hands - debian-internal outreach :)</span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"></span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0"></span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">Question 2 :</span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"></span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">This certainly has come up before: Should there be a Debian-run OpenStack instance? Motivation:</span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">    * access to less common platforms also for non-Developers?</span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">    * maybe even have buildds spawn images in the cloud when special hardware like CUDA or ROCm is required?</span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">    * experiment more complex workflows that spawn several instances on multiple machines for parallelisation with no expense for commercial providers</span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">    </span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">The perception of the cloud as an elitish exception may change with more Debian machines and their services running in the cloud instead of some local bare metal.</span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"></span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"></span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">Question 3 :</span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"></span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">Do you have statistics about how many users are using how many instances on what cloud platform?</span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">And how many are there - roughly - and maybe in comparison to what popcon provides?</span><span class="a_SSLfvSkQKvAjpv0M" title="a_SSLfvSkQKvAjpv0M" style="background-color:#9eec7c"></span><br><span class="a_SSLfvSkQKvAjpv0M" title="a_SSLfvSkQKvAjpv0M" style="background-color:#9eec7c"></span><br><span class="a_SSLfvSkQKvAjpv0M" title="a_SSLfvSkQKvAjpv0M" style="background-color:#9eec7c">Question 4:</span><br><span class="a_SSLfvSkQKvAjpv0M" title="a_SSLfvSkQKvAjpv0M" style="background-color:#9eec7c">    </span><br><span class="a_SSLfvSkQKvAjpv0M" title="a_SSLfvSkQKvAjpv0M" style="background-color:#9eec7c">Are there automated functional tests of the automatically generated images, or is that all manual?</span><span class="a_ZnwoYvN608IuXb0h" title="a_ZnwoYvN608IuXb0h" style="background-color:#11ee41"></span><br><span class="a_ZnwoYvN608IuXb0h" title="a_ZnwoYvN608IuXb0h" style="background-color:#11ee41">Yes. Have a look at https://salsa.debian.org/cloud-team/debian-cloud-images/-/tree/master/system_tests</span><span class="a_2X09zvfKU8sp09Ub" title="a_2X09zvfKU8sp09Ub" style="background-color:#cb5d6d"></span><br><span class="a_2X09zvfKU8sp09Ub" title="a_2X09zvfKU8sp09Ub" style="background-color:#cb5d6d">See also: https://gitlab.com/rvandegrift/live-tests/-/tree/initial-features</span><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0"></span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0"></span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">Question 5</span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0"></span><br><span class="a_alRQgxgr7N0Ec7Uz" title="a_alRQgxgr7N0Ec7Uz" style="background-color:#308947">Sometimes I would install a Debian instance on cloud platform (e.g., EC2) and have it keep running; when a new Debian stable is released I would just update using apt dist-upgrade; is such usage supported by the Cloud Team? -Thanks!</span><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0"></span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0"></span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">Question 6</span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0"></span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">What kind of help do you need?</span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0"> -> use latest version of cloud-init</span><span class="a_QX9W7rP8Oc5MBrMd" title="a_QX9W7rP8Oc5MBrMd" style="background-color:#92bc42"></span><br><span class="a_QX9W7rP8Oc5MBrMd" title="a_QX9W7rP8Oc5MBrMd" style="background-color:#92bc42"> Test the daily image builds, especially the testing/unstable ones, but also stable, since they'll be the basis of the next point-release</span><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0"></span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0"></span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">Question 7</span><span class="a_ZnwoYvN608IuXb0h" title="a_ZnwoYvN608IuXb0h" style="background-color:#11ee41"></span><br><span class="a_ZnwoYvN608IuXb0h" title="a_ZnwoYvN608IuXb0h" style="background-color:#11ee41">From IRC #debian-cloud:</span><br><span class="a_ZnwoYvN608IuXb0h" title="a_ZnwoYvN608IuXb0h" style="background-color:#11ee41">Q: Maybe we can consider terraform for integration with the Cloud APIs?</span><br><span class="a_ZnwoYvN608IuXb0h" title="a_ZnwoYvN608IuXb0h" style="background-color:#11ee41"> Terraform is reasonably stable and gets updates and already connects to all the apis</span><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0"></span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0"></span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">Question 8</span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0"></span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0">Whom shall I contact if I find the resources to come up with a Debian Med Workflow X image to discuss the extra benefits provided by the cloud image + pan-instance shared data?</span><span class="a_2X09zvfKU8sp09Ub" title="a_2X09zvfKU8sp09Ub" style="background-color:#cb5d6d"></span><br><span class="a_2X09zvfKU8sp09Ub" title="a_2X09zvfKU8sp09Ub" style="background-color:#cb5d6d">debian-cloud@lists.debian.org is a good place to start</span><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0"></span><br><span class="a_lP5h6cUr5HxKHdt4" title="a_lP5h6cUr5HxKHdt4" style="background-color:#48d7f0"></span><br><span class="anonymous" title="anonymous"></span><br>
</body>
</html>
